%global realname pybeam
%global upstream matwey
%global debug_package %{nil}


Name:		python-%{realname}
Version:	0.3.2
Release:	1%{?dist}
Summary:	Python module to parse Erlang BEAM files
License:	MIT
Group:		Development/Languages
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildArch:	noarch


%description
Python module to parse Erlang BEAM files.


%package -n python2-%{realname}
Summary:	%{summary}
BuildRequires:	python-construct
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python-construct
Requires:	python-six >= 1.4.0


%description -n python2-%{realname}
Python module to parse Erlang BEAM files.


%package -n python3-%{realname}
Summary:	%{summary}
BuildRequires:	python3-construct
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-construct
Requires:	python3-six >= 1.4.0


%description -n python3-%{realname}
Python module to parse Erlang BEAM files.


%prep
%setup -q -n %{realname}-%{version}


%build
%py2_build
%py3_build


%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{realname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*


%files -n python3-%{realname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Mon Feb 15 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-1
- Initial build
